SOURCE = expl7.s
OBJECT = $(SOURCE:.s=.o)
EXEC = $(SOURCE:.s=.elf)

all: $(EXEC)

run: $(EXEC)
	../../bin/boardsim board.xml expl7.elf

$(EXEC): $(SOURCE) board.i
	/home/traces/arm/bin/arm-elf-as -g3 $(SOURCE) -o $(OBJECT)
	/home/traces/arm/bin/arm-elf-ld -Ttext=0 $(OBJECT) -o $(EXEC)

board.i: board.xml
	../../bin/genh board.xml

